### 本地图片云存储(镜像)加速

!> 4.3.0 进行了升级，请务必重新更新配置

![](https://ws3.sinaimg.cn/large/006tKfTcly1frk5olgebaj31kw0kz75v.jpg)

在配置框按照格式填写

`（镜像空间的自定义域名）| (域名商)`

如：`http://assets.ihewro.com | UPYUN`

实现思路就是：**将博客服务器本地图片资源地址都转换为镜像空间的地址**，访问云服务商的镜像空间，通常能获得更快的速度。

下面分别写下又拍云和七牛云的配置过程：

> 又拍云举例：


* 创建服务——CDN
*  按照下图配置

![](https://ws1.sinaimg.cn/large/006tKfTcly1frk6664mfkj31hk0z6q4u.jpg)

* 创建完成后，需要在域名解析中，将刚才的加速域名解析到给定分配的cname地址

  ![](https://ws1.sinaimg.cn/large/006tKfTcly1frk67z8ozmj31cw0ms3zk.jpg)
  
* 在服务配置的——回源管理——开启源站资源迁移
![](https://ws4.sinaimg.cn/large/006tKfTcly1frk6a73sr5j31kc16ogn6.jpg)
  

> 七牛云举例：

```
选择对象存储——镜像存储——填写镜像空间地址
```
![](https://ws4.sinaimg.cn/large/006tKfTcly1frk6exdylsj31kw12sdn6.jpg)

注意：你的七牛空间必须在`镜像存储的设置项`中填写你的**博客地址**(例如：https://www.ihewro.com/)，这样才能达到加速的效果。

### 云存储选项

其实主题外观设置那里写的比较清楚了。

webp格式目前主要是Chrome支持，所以一般正确的用法是，不要在后台启用webp图片格式。

而是**去云服务器商的图片处理设置里开启webp的自适应**（比如又拍云的就是在`性能优化——WebP自适应`选项，开启了就可以了），会自动根据浏览器支持情况来是否转换为webp格式。

### 将本地静态资源上传到你的cdn上


!> 如果设置了`本地图片云存储(镜像)加速`，这个选项无需再配置了。因为上面的选项就相当于全站镜像到云服务器商，博客的静态资源会直接访问镜像空间的资源。

!> 请在你的云存储服务商设置允许资源的跨域访问，否则会导致字体文件无法访问而显示页面图标。如果不知道如何设置，**可以发工单问客服**（这是最简单的方法，因为不同服务器提供商具体设置我也不是很清楚），一般能够得到解决方法。

* 需要在`后台外观设置——将本地静态资源上传到你的cdn上`中配置：

* 使用该项设置前，你必须有自己搭建的cdn服务器（不是指当前服务器）

* 主题目录下的/assets/目录下有 css、js、fonts、img四个静态资源文件夹。

* 你需要把asset目录上传到你的cdn服务器上，比如CDN服务器的 handsome目录里，地址即为 `https://cdn.ihewro.com/handsome/assets/`

* 在当前框中就填入该地址，主题就会引用你搭建的cdn上面的资源，而不再引用当前服务器上的资源

